Package org.opensaml.saml.saml2.metadata.impl

# Class ContactPersonImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.metadata.impl.ContactPersonImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `ContactPerson`

public class ContactPersonImpl extends AbstractXMLObject implements ContactPerson
Concrete implementation of `ContactPerson`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Company`
`company`
Company child element.
`private final XMLObjectChildrenList<EmailAddress>`
`emailAddresses`
Child email address.
`private Extensions`
`extensions`
Extensions child object.
`private GivenName`
`givenName`
GivenName child objectobject.
`private SurName`
`surName`
SurName child object.
`private final XMLObjectChildrenList<TelephoneNumber>`
`telephoneNumbers`
Child telephone numbers.
`private ContactPersonTypeEnumeration`
`type`
Contact person type.
`private final AttributeMap`
`unknownAttributes`
"anyAttribute" attributes.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.ContactPerson

`CONTACT_TYPE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ContactPersonImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Company`
`getCompany()`
Gets the company this contact person is associated with.
`List<EmailAddress>`
`getEmailAddresses()`
Gets a list of email addresses for this person.
`Extensions`
`getExtensions()`
Gets the Extensions child of this object.
`GivenName`
`getGivenName()`
Gets the given name for this person.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`SurName`
`getSurName()`
Gets the surname for this person.
`List<TelephoneNumber>`
`getTelephoneNumbers()`
Gets an immutable list of telephone numbers for this person.
`ContactPersonTypeEnumeration`
`getType()`
Gets the type of contact this person.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`void`
`setCompany(Company theCompany)`
Sets the company this contact person is associated with.
`void`
`setExtensions(Extensions theExtensions)`
Sets the Extensions child of this object.
`void`
`setGivenName(GivenName name)`
Sets the given name for this person.
`void`
`setSurName(SurName name)`
Sets the surname for this person.
`void`
`setType(ContactPersonTypeEnumeration theType)`
Sets the type of contact this person.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### type

@Nullable private ContactPersonTypeEnumeration type
Contact person type.

### extensions

@Nullable private Extensions extensions
Extensions child object.

### company

@Nullable private Company company
Company child element.

### givenName

@Nullable private GivenName givenName
GivenName child objectobject.

### surName

@Nullable private SurName surName
SurName child object.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
"anyAttribute" attributes.

### emailAddresses

@Nonnull private final XMLObjectChildrenList<EmailAddress> emailAddresses
Child email address.

### telephoneNumbers

@Nonnull private final XMLObjectChildrenList<TelephoneNumber> telephoneNumbers
Child telephone numbers.

## Constructor Details

### ContactPersonImpl

protected ContactPersonImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - name space
  `elementLocalName` - local name
  `namespacePrefix` - prefix

## Method Details

### getType

@Nullable public ContactPersonTypeEnumeration getType()
Gets the type of contact this person.

Specified by:
  `getType` in interface `ContactPerson`
Returns:
  the type of contact this person

### setType

public void setType(@Nullable ContactPersonTypeEnumeration theType)
Sets the type of contact this person.

Specified by:
  `setType` in interface `ContactPerson`
Parameters:
  `theType` - the type of contact this person

### getExtensions

@Nullable public Extensions getExtensions()
Gets the Extensions child of this object.

Specified by:
  `getExtensions` in interface `ContactPerson`
Returns:
  the Extensions child of this object

### setExtensions

public void setExtensions(@Nullable Extensions theExtensions)
Sets the Extensions child of this object.

Specified by:
  `setExtensions` in interface `ContactPerson`
Parameters:
  `theExtensions` - the Extensions child of this object

### getCompany

@Nullable public Company getCompany()
Gets the company this contact person is associated with.

Specified by:
  `getCompany` in interface `ContactPerson`
Returns:
  the company this contact person is associated with

### setCompany

public void setCompany(@Nullable Company theCompany)
Sets the company this contact person is associated with.

Specified by:
  `setCompany` in interface `ContactPerson`
Parameters:
  `theCompany` - the company this contact person is associated with

### getGivenName

@Nullable public GivenName getGivenName()
Gets the given name for this person.

Specified by:
  `getGivenName` in interface `ContactPerson`
Returns:
  the given name for this person

### setGivenName

public void setGivenName(@Nullable GivenName name)
Sets the given name for this person.

Specified by:
  `setGivenName` in interface `ContactPerson`
Parameters:
  `name` - the given name for this person

### getSurName

@Nullable public SurName getSurName()
Gets the surname for this person.

Specified by:
  `getSurName` in interface `ContactPerson`
Returns:
  the surname for this person

### setSurName

public void setSurName(@Nullable SurName name)
Sets the surname for this person.

Specified by:
  `setSurName` in interface `ContactPerson`
Parameters:
  `name` - the surname for this person

### getEmailAddresses

@Nonnull @Live public List<EmailAddress> getEmailAddresses()
Gets a list of email addresses for this person.

Specified by:
  `getEmailAddresses` in interface `ContactPerson`
Returns:
  list of email addresses for this person

### getTelephoneNumbers

@Nonnull @Live public List<TelephoneNumber> getTelephoneNumbers()
Gets an immutable list of telephone numbers for this person.

Specified by:
  `getTelephoneNumbers` in interface `ContactPerson`
Returns:
  list of telephone numbers for this person

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements